org.apache.tapestry5.internal.services

## Class ComponentMessagesSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ComponentMessagesSourceImpl

- All Implemented Interfaces:
    ComponentMessagesSource, UpdateListener

      public class ComponentMessagesSourceImpl
      extends java.lang.Object
      implements ComponentMessagesSource, UpdateListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentMessagesSourceImpl(boolean productionMode, java.util.List<Resource> appCatalogResources, PropertiesFileParser parser, ComponentResourceLocator resourceLocator, ClasspathURLConverter classpathURLConverter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkForUpdates()` Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.
    `Messages` | `getApplicationCatalog(java.util.Locale locale)` Gets the Messages derived from the application's message catalog.
    `InvalidationEventHub` | `getInvalidationEventHub()` Returns the event hub that allows listeners to be notified when any underlying message catalog file is changed.
    `Messages` | `getMessages(ComponentModel componentModel, ComponentResourceSelector selector)` Used to obtain a `Messages` instance for a particular component, using a particular selector.
    `Messages` | `getMessages(ComponentModel componentModel, java.util.Locale locale)` Used to obtain a `Messages` instance for a particular component, within a particular locale.
    `void` | `setupReload(ReloadHelper reloadHelper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentMessagesSourceImpl

          public ComponentMessagesSourceImpl(@Symbol(value="tapestry.production-mode")
                                             boolean productionMode,
                                             java.util.List<Resource> appCatalogResources,
                                             PropertiesFileParser parser,
                                             ComponentResourceLocator resourceLocator,
                                             ClasspathURLConverter classpathURLConverter)

  - ### Method Detail

    - #### setupReload

          @PostInjection
          public void setupReload(ReloadHelper reloadHelper)

    - #### checkForUpdates

          public void checkForUpdates()

      Description copied from interface: `UpdateListener`
      Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.
      Specified by:
        `checkForUpdates` in interface `UpdateListener`

    - #### getMessages

          public Messages getMessages(ComponentModel componentModel,
                                      java.util.Locale locale)

      Description copied from interface: `ComponentMessagesSource`
      Used to obtain a `Messages` instance for a particular component, within a particular locale. If the component extends from another component, then its localized properties will merge with its parent's properties (with the subclass overriding the super class on any conflicts).
      Specified by:
        `getMessages` in interface `ComponentMessagesSource`
      Returns:
        the message catalog for the component, in the indicated locale

    - #### getMessages

          public Messages getMessages(ComponentModel componentModel,
                                      ComponentResourceSelector selector)

      Description copied from interface: `ComponentMessagesSource`
      Used to obtain a `Messages` instance for a particular component, using a particular selector. If the component extends from another component, then its localized properties will merge with its parent's properties (with the subclass overriding the super class on any conflicts).
      Specified by:
        `getMessages` in interface `ComponentMessagesSource`
        `selector` - determined correct version of messages to obtain
      Returns:
        the message catalog for the component, in the indicated selector

    - #### getApplicationCatalog

          public Messages getApplicationCatalog(java.util.Locale locale)

      Description copied from interface: `ComponentMessagesSource`
      Gets the Messages derived from the application's message catalog.
      Specified by:
        `getApplicationCatalog` in interface `ComponentMessagesSource`

    - #### getInvalidationEventHub

          public InvalidationEventHub getInvalidationEventHub()

      Description copied from interface: `ComponentMessagesSource`
      Returns the event hub that allows listeners to be notified when any underlying message catalog file is changed.
      Specified by:
        `getInvalidationEventHub` in interface `ComponentMessagesSource`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.